%global momorel 4
%global kdever 4.3.90
%global kdelibsrel 1m
%global qtver 4.6.0
%global qtrel 1m
%global cmakever 2.4.8
%global cmakerel 5m
%global sourcedir stable/apps/KDE4.x/admin
%global srcname polkit-kde-1

Name:           polkit-kde
Version:        0.95.1
Release:        %{momorel}m%{?dist}
Summary:        PolicyKit integration for KDE Desktop
Group:          Applications/System
License:        GPLv2+
URL:            http://www.kde.org/
Source0:        ftp://ftp.kde.org/pub/kde/%{sourcedir}/%{srcname}-%{version}.tar.bz2
NoSource:       0
Patch0:         polkit-kde-1-0.95.1-install-desktop.patch
Patch1:         polkit-kde-1-0.95.1-linking.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  kdelibs-devel >= %{kdever}-%{kdelibsrl}
BuildRequires:  polkit-qt-devel >= 0.95.1
BuildRequires:  cmake
BuildRequires:  gettext

Provides: PolicyKit-authentication-agent
Provides: polkit-kde-1 = %{version}-%{release}

Obsoletes: PolicyKit-kde < 4.4

%description
Provides Policy Kit Authentication Agent that nicely fits to KDE.

%prep
%setup -q -n %{srcname}-%{version}
%patch0 -p1 -b .install-desktop
%patch1 -p1 -b .linking

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DXDG_CONFIG_DIRS=%{_sysconfdir}/xdg/autostart ..
popd

make %{?_smp_mflags}  -C %{_target_platform} VERBOSE=1

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot} -C %{_target_platform}

desktop-file-install --vendor= --delete-original \
  --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
  %{buildroot}%{_sysconfdir}/xdg/autostart/polkit-kde-authentication-agent-1.desktop

%find_lang polkit-kde-authentication-agent-1

%clean
rm -rf %{buildroot}

%files -f polkit-kde-authentication-agent-1.lang
%defattr(-,root,root,-)
%doc COPYING
%{_libdir}/kde4/libexec/polkit-kde-authentication-agent-1
%{_sysconfdir}/xdg/autostart/*

%changelog
* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.95.1-4m)
- full rebuild for mo7 release

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95.1-3m)
- rebuild against qt-4.6.3-1m

* Mon May  3 2010 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.95.1-2m)
- explicitly link libpolkit-qt-core-1

* Sat Jan  9 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.95.1-1m)
- import from Fedora devel

* Wed Jan 06 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.95.1-3
- Again provides PolicyKit-authentication-agent

* Tue Jan 05 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.95.1-2
- Added Gettext BR

* Tue Jan 05 2010 Jaroslav Reznik <jreznik@redhat.com> - 0.95.1-1
- Update to official release
- Provides polkit-kde-1

* Mon Nov 30 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.95-0.2.20091125svn
- Adds desktop file
- Adds obsoletes

* Wed Nov 25 2009 Jaroslav Reznik <jreznik@redhat.com> - 0.95-0.1.20091125svn
- Initial package
